CGAL 6.1.2 - dD Triangulations: TriangulationDataStructure::Vertex Concept Reference

CGAL 6.1.2 - dD Triangulations

Loading...
Searching...
No Matches
List of all members
TriangulationDataStructure::Vertex Concept Reference
Reference Manual » Concepts

## Definition

The concept `TriangulationDataStructure::Vertex` describes the type used by a `TriangulationDataStructure` to store the vertices.

It sets requirements of combinatorial nature only, as geometry is not concerned here. In particular, we only require that the vertex holds a handle to a full cell incident to it in the triangulation.

Has models
  `CGAL::Triangulation_ds_vertex<TriangulationDataStructure_>`
  `CGAL::Triangulation_vertex<TriangulationTraits_, Data, TriangulationDSVertex_>`

See also
  `TriangulationDataStructure::FullCell`
  `TriangulationDataStructure::Face`
  `TriangulationDataStructure`

## Types
typedef unspecified_type | Full_cell_handle
| A handle to a cell, which must be the same as the nested type `TriangulationDataStructure::Full_cell_handle`.

## Operations
void | set_full_cell (Full_cell_handle c)
| Set `c` as the vertex's incident full cell.
Full_cell_handle | full_cell () const
| Returns a handle to a full cell incident to the vertex.

## Validity Check
bool | is_valid (bool verbose=false) const
| This is a function for debugging purpose.

## Input/Output
These operators can be used directly and are called by the I/O operator of class `TriangulationDataStructure`.
template<class TriangulationDataStructure >
std::ostream & | operator<< (std::ostream &os, const Triangulation_ds_vertex< TriangulationDataStructure > &v)
| Writes (possibly) non-combinatorial information about vertex `v` to the stream `os`.
template<class TriangulationDataStructure >
std::istream & | operator>> (std::istream &is, Triangulation_ds_vertex< TriangulationDataStructure > &v)
| Reads from stream `is` the vertex information written by `operator<<`.

## Member Function Documentation

## ◆ is_valid()

bool TriangulationDataStructure::Vertex::is_valid | ( | bool | verbose = `false` | ) | const

This is a function for debugging purpose.

Debugging Support

Performs some validity checks on the vertex `v`.

It must at least check that `v` has an incident full cell, which in turn must contain `v` as one of its vertices.

Returns `true` if all the tests pass, `false` if any test fails. See the documentation for the models of this concept to see the additional (if any) validity checks that they implement.

## ◆ set_full_cell()

void TriangulationDataStructure::Vertex::set_full_cell | ( | Full_cell_handle | c | ) |

Set `c` as the vertex's incident full cell.

Precondition
  `c` must not be the default-constructed `Full_cell_handle`.